﻿using System;
using System.Collections.Generic;
using System.Text;

namespace OAI.Server.Verb {
	public class BadVerb : ServerVerb {
		public static string Construct(IOAIHandler oaiHandler)
		{
			var baseURL = oaiHandler.GetBaseURL();
			var query = oaiHandler.GetQuery();

			var sb = new StringBuilder();
			sb.Append("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>");
			sb.Append("<OAI-PMH xmlns=\"http://www.openarchives.org/OAI/2.0/\"");
			sb.Append(" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"");
			sb.Append(" xsi:schemaLocation=\"http://www.openarchives.org/OAI/2.0/");
			sb.Append(" http://www.openarchives.org/OAI/2.0/OAI-PMH.xsd\">");
			sb.Append("<responseDate>");
			sb.Append(CreateResponseDate(DateTime.Now));
			sb.Append("</responseDate>");
			sb.Append(GetRequestElement(query, new List<string>(), baseURL));
			sb.Append("<error code=\"badVerb\">Illegal verb</error>");
			sb.Append("</OAI-PMH>");

			return sb.ToString();
		}
	}
}
