﻿select Identifier, DateStamp, Status from (
select top ${pageSizeReal} Identifier, DateStamp, Status from (
select top ${maxPosts} Identifier, DateStamp, Status from (
select distinct
	RTRIM(objekt.objektid) as Identifier,
	case
		when objekt.lastChangedDate IS NOT NULL
		then objekt.lastChangedDate
		else objekt.createdDate
	end as DateStamp,
	NULL as Status
from objekt
) x where ${conds} order by Identifier ASC
) y order by Identifier DESC
) z order by Identifier ASC