﻿select Identifier, DateStamp, Status from (
select top ${pageSizeReal} Identifier, DateStamp, Status from (
select top ${maxPosts} Identifier, DateStamp, Status from (
select distinct
	upptagning.upptagningsid as Identifier,
	case
		when Upptagning.ändrad IS NOT NULL
		then Upptagning.ändrad
		else Upptagning.datum
	end as DateStamp,
	case when (
		select top 1 index_föremål.indexid
		from index_föremål
		where index_föremål.upptagningsid = upptagning.upptagningsid and index_föremål.indexid > 0
	) is NULL then 'deleted' else NULL end as Status
from upptagning
where upptagning.copyright like 'SHM%' and upptagning.isVisible = 1 and upptagning.typ <> 'Multimedia'
) x where ${conds} order by Identifier ASC
) y order by Identifier DESC
) z order by Identifier ASC