﻿select Identifier, DateStamp, Status from (
select top ${pageSizeReal} Identifier, DateStamp, Status from (
select top ${maxPosts} Identifier, DateStamp, Status from (
select
	föremålsdata.fid as Identifier,
	case when datum_korr IS NULL then datum else datum_korr end as DateStamp,
	NULL as Status
from föremålsdata
where föremålsdata.samlomr <> 2 and föremålsdata.samlomr <> 3 and föremålsdata.institution like 'SHM%' and föremålsdata.invnr > 0
union
select
	föremålsdata_raderade.fid as Identifier,
	deleted_date as DateStamp,
	'deleted' as Status
from föremålsdata_raderade
where föremålsdata_raderade.invnr > 0
) x where ${conds} order by Identifier ASC
) y order by Identifier DESC
) z order by Identifier ASC