﻿select Fyndplatser.lokalid as Identifier, ${fields} from (
select distinct lokalid, fyndtyp, datering_min from fyndlokal_attribut
where fyndlokal_attribut.lokalid in (${headers}) and fyndlokal_attribut.fyndtyp <> ''
) as Fyndplatser
LEFT OUTER JOIN Datering AS Datering_Min on Fyndplatser.datering_min = Datering_Min.kod
LEFT OUTER JOIN Fyndlokal ON Fyndplatser.lokalid = Fyndlokal.lokalid
LEFT OUTER JOIN Landskap on Fyndlokal.landskap_id = Landskap.id
LEFT OUTER JOIN Socken on Fyndlokal.socken_kod = Socken.sn_kd
LEFT OUTER JOIN Kommun on Socken.kom_id = Kommun.kom_id
LEFT OUTER JOIN Län ON Kommun.lan_kd = Län.lan_id
LEFT OUTER JOIN Land on case when Fyndlokal.land IS NULL or Fyndlokal.land = '' then 'Sverige' else Fyndlokal.land end = Land.namn
LEFT OUTER JOIN Object_coordinates ON Fyndlokal.lokalid = Object_coordinates.objectid 
