﻿select Descriptions.Identifier as Identifier, ${fields} from (
	select RTRIM(referens.objektid) as Identifier, 'Referens' as type, RTRIM(referens.författare) + ', ' + RTRIM(referens.år) + '.' + RTRIM(litteratur.titel) + '.' + RTRIM(referens.sida) as description
	from referens inner join litteratur ON litteratur.författare = referens.författare AND litteratur.år = referens.år
	where RTRIM(referens.objektid) in (${headers})
	union
	select RTRIM(objekt.objektid) as Identifier, 'Vid inventering' as type, museer.museum as description
	from museer inner join objekt on objekt.museum = museer.kort
	where RTRIM(objekt.objektid) in (${headers})
) Descriptions