﻿select Resources.Identifier as Identifier, ${fields} from (
	select
		location_resource.parent_mis_objectid as Identifier,
		location_resource.URL as URL,
		location_resource.Name as Label
	from location_resource
	where
		location_resource.parent_mis_class = 'Z' and
		location_resource.parent_mis_objectid in (${headers}) and
		(location_resource.category = 2 or location_resource.category = 4 or location_resource.category = 5 or location_resource.category = 8)
) as Resources
where Resources.URL is not null and Resources.Label is not null