﻿SELECT ${fields} from fyndlokal
LEFT OUTER JOIN Landskap on Fyndlokal.landskap_id = Landskap.id
LEFT OUTER JOIN Socken on Fyndlokal.socken_kod = Socken.sn_kd
LEFT OUTER JOIN Kommun on Fyndlokal.kom_id = Kommun.kom_id
LEFT OUTER JOIN Län ON Kommun.lan_kd = Län.lan_id
LEFT OUTER JOIN Land on case when Fyndlokal.land IS NULL or Fyndlokal.land = '' then 'Sverige' else Fyndlokal.land end = Land.namn
LEFT OUTER JOIN Object_coordinates ON Fyndlokal.lokalid = Object_coordinates.objectid 
LEFT OUTER JOIN external_reference on fyndlokal.lokalid = external_reference.objectid AND external_reference.class = 'L'
where fyndlokal.lokalid in (${headers})