﻿using System.Collections.Generic;
using OAI.Util;

namespace ServiceCore.ServiceComponents {
	public class Constant : NamedData {
		public string Value { get; private set; }

		public Constant(string id, string value) {
			Id = id;
			Value = value;
		}

		public override string GetValue(IDictionary<string, string> templates, IDictionary<string, string> values) {
			values[Id] = Value;
			return OAIUtil.XmlEncode(values[Id]);
		}
	}
}
