﻿using System.Diagnostics;

namespace ServiceCore.ServiceComponents
{
	public class DataSource {
		public SQLStatement Count { get; private set; }
		public SQLStatement List { get; private set; }
		public SQLStatement Record { get; private set; }
		public SQLStatement RecordList { get; private set; }
		public SQLStatement RecordInfo { get; private set; }

		public DataSource(SQLStatement count, SQLStatement list, SQLStatement record, SQLStatement recordList, SQLStatement recordInfo) {
			Count = count;
			List = list;
			Record = record;
			RecordList = recordList;
			RecordInfo = recordInfo;

#if DEBUG
			//Debug.WriteLine(string.Format("Data Source (List): {0}", list.Name));
#endif
		}
	}
}